创建答案
curl --request POST \
--url https://api.olostep.com/v1/answers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"task": "<string>",
"storage": {
"expires_in": "7d"
},
"json_format": {}
}
'import requests
url = "https://api.olostep.com/v1/answers"
payload = {
"task": "<string>",
"storage": { "expires_in": "7d" },
"json_format": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({task: '<string>', storage: {expires_in: '7d'}, json_format: {}})
};
fetch('https://api.olostep.com/v1/answers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.olostep.com/v1/answers",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'task' => '<string>',
'storage' => [
'expires_in' => '7d'
],
'json_format' => [
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.olostep.com/v1/answers"
payload := strings.NewReader("{\n \"task\": \"<string>\",\n \"storage\": {\n \"expires_in\": \"7d\"\n },\n \"json_format\": {}\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.olostep.com/v1/answers")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"task\": \"<string>\",\n \"storage\": {\n \"expires_in\": \"7d\"\n },\n \"json_format\": {}\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.olostep.com/v1/answers")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"task\": \"<string>\",\n \"storage\": {\n \"expires_in\": \"7d\"\n },\n \"json_format\": {}\n}"
response = http.request(request)
puts response.read_body{
"storage": {
"expires_in": "7d"
},
"id": "<string>",
"object": "<string>",
"created": 123,
"metadata": {},
"task": "<string>",
"result": {
"json_content": "<string>",
"json_hosted_url": "<string>"
}
}答案
创建答案
AI 将执行搜索和浏览网页等操作,以找到所提供任务的答案。执行时间为 3-30 秒,具体取决于复杂性。 对于较长的任务,请改用 agent 端点。参见 Agent 功能。参见 Answers 功能。
POST
/
v1
/
answers
创建答案
curl --request POST \
--url https://api.olostep.com/v1/answers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"task": "<string>",
"storage": {
"expires_in": "7d"
},
"json_format": {}
}
'import requests
url = "https://api.olostep.com/v1/answers"
payload = {
"task": "<string>",
"storage": { "expires_in": "7d" },
"json_format": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({task: '<string>', storage: {expires_in: '7d'}, json_format: {}})
};
fetch('https://api.olostep.com/v1/answers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.olostep.com/v1/answers",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'task' => '<string>',
'storage' => [
'expires_in' => '7d'
],
'json_format' => [
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.olostep.com/v1/answers"
payload := strings.NewReader("{\n \"task\": \"<string>\",\n \"storage\": {\n \"expires_in\": \"7d\"\n },\n \"json_format\": {}\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.olostep.com/v1/answers")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"task\": \"<string>\",\n \"storage\": {\n \"expires_in\": \"7d\"\n },\n \"json_format\": {}\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.olostep.com/v1/answers")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"task\": \"<string>\",\n \"storage\": {\n \"expires_in\": \"7d\"\n },\n \"json_format\": {}\n}"
response = http.request(request)
puts response.read_body{
"storage": {
"expires_in": "7d"
},
"id": "<string>",
"object": "<string>",
"created": 123,
"metadata": {},
"task": "<string>",
"result": {
"json_content": "<string>",
"json_hosted_url": "<string>"
}
}结果保留: 传递
storage.expires_in 可以将此答案的存储文件保留时间延长至默认的 7 天以上。可选值:7d、10d、30d、60d、90d、180d、365d 或 never。详情请参阅 存储。授权
Bearer 认证头格式为 Bearer ,其中 是你的认证令牌。
请求体
application/json
此页面对您有帮助吗?